package src.gui;    

import javax.swing.tree.*;
import org.dom4j.Element;

/**
 * Class extends DefaultMutableTreeNode. Used for JTree to display DOM tree...
 */ 
public class ExtendedTreeNode extends DefaultMutableTreeNode
{
   Element element;
   
   /**
    * Constructor
    */       
   public ExtendedTreeNode(String s)
   {
      super(s);
   }
   
   /**
    * Constructor
    */       
   public ExtendedTreeNode(Element e, String s)
   {
      super(s);
      element = e;
   }
   
   /**
    * Returns content of the node
    * 
    * @return element corresponding dom element        
    */        
   public Element getContent()
   {
      return element;
   } 
  
   /**
    * Sets content of the node
    * 
    * @param e new instance of Element        
    */       
   public void setContent(Element e)
   {
      element = e;
   }
}
