package src.gui;

import javax.swing.*;
import javax.swing.tree.*;
import java.awt.*;

/**
 * Component displays line from startpoint to end
 */ 
public class Line extends JComponent
{
   private Point start; // starting point
   private Point end;   // ending point
   
   /** Constructor */
	 public Line(int init_x, int init_y, int last_x, int last_y)
	 {
      super();
	  	start = new Point(init_x, init_y);
      end = new Point(last_x, last_y);
	 }

   /** Redraws line with new coordinates */
	 public void redraw(int init_x, int init_y, int last_x, int last_y)
	 {
      start.x = init_x;
      start.y = init_y;
      end.x = last_x;
      end.y = last_y;
      repaint();
   }
   
   /** Paints component */
   protected void paintComponent(Graphics g)
   {
      Graphics2D g2d = (Graphics2D)g.create();
      g2d.drawLine(start.x, start.y, end.x, end.y);
      g2d.dispose(); //clean up
   }
	 
	 /** Returns preferred size */
   public Dimension getPreferredSize()
   {
       return new Dimension(Math.abs((int)start.getX()-(int)end.getX()), Math.abs((int)start.getY()-(int)end.getY()));
   }
  
   /** Returns minimum size, but calls getPreferredSize() */
   public Dimension getMinimumSize()
   {
      return getPreferredSize();
   }
}
